Okay, so the only reason I want to upgrade to OS4.0 is to get my linksys wusb11 v2.8 working. Is there a way to get it working in os3.x??? Has anyone done this. Are there prism drivers for this? any help is appreciated!